package ru.dbotthepony.mc.otm.graph.matter

import ru.dbotthepony.mc.otm.capability.matter.IMatterStorage
import ru.dbotthepony.mc.otm.capability.matter.IPatternStorage
import ru.dbotthepony.mc.otm.capability.matter.IReplicationTaskProvider

open class SimpleMatterNode(
	private val matter: IMatterStorage? = null,
	private val patterns: IPatternStorage? = null,
	private val tasks: IReplicationTaskProvider? = null,
) : MatterNode() {
	override fun getMatterHandler(): IMatterStorage? {
		return matter
	}

	override fun getPatternHandler(): IPatternStorage? {
		return patterns
	}

	override fun getTaskHandler(): IReplicationTaskProvider? {
		return tasks
	}
}
